class ValidatePassword {
  static validateNewPassword(config: any) {
    return (value: any) => {
      const maks = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@#$%^&+=!]).*$/;
      if (value && !maks.test(value)) return config.message;
      return null;
    };
  }
}

const { validateNewPassword } = ValidatePassword;

export const ValidateNewPassword = {
  validateNewPassword,
};
